vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 78
声望: 0

vnpy-2.0.9 ubuntu下面报错:cannot import name 'black_76_cython' from 'vnpy.app.option_master.pricing'

vnpy/app/option_master/pricing/black_76_cython.pyd 应该是windows下面的,linux下面的vnpy-2.0.9发行包里面没有提供, 也没有提供源码可以编译的,这个问题怎么破呢?

可不可以把vnpy-1.9.2下面的pricing编译的拿过来用?

Member
avatar
加入于:
帖子: 78
声望: 0

嘿, 这个怎么弄呢,ubuntu linux下面没法用这个期权模块呢。 缺 少定价模型动态库文件。 。。

Member
avatar
加入于:
帖子: 78
声望: 0

嘿, 这个怎么弄呢,ubuntu linux下面没法用这个期权模块呢。 缺 少定价模型动态库文件。 。。

Administrator
avatar
加入于:
帖子: 4208
声望: 239

2.0.9发布代码中,移除了Cython组件的,我们会在2.1.0中把自动编译功能给加上

Member
avatar
加入于:
帖子: 78
声望: 0

哦,原来是这样啊
~~那快点儿发布2.1.0版吧~ 什么时候才能用上这2.1.0了, 期待ing...

Member
avatar
加入于:
帖子: 8
声望: 0

期待2.1.0,
cannot import name 'black_76_cython' from 'vnpy.app.option_master.pricing'...

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3